<?php

 add_action( 'init', 'creatwpvideooptin' );
	function creatwpvideooptin() {
		register_post_type( 'voptin',
			array(
				'labels' => array(
					'name' => __( 'Video Optin' ),
					'singular_name' => __( 'Video Optin' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn3.iconfinder.com/data/icons/uidesignicons/video.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}

    


	
add_action( 'add_meta_boxes', 'settingsforwpvideooptin' );
function settingsforwpvideooptin()
{
	add_meta_box( 'voptin', 'Settings:', 'creatvideoptinsettings', 'voptin', 'normal', 'high' );
}


function creatvideoptinsettings( $post )
{
	$values = get_post_custom( $post->ID );
	$mainphoto = isset( $values['mainphoto'] ) ? esc_attr( $values['mainphoto'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
	$item1name = isset( $values['item1name'] ) ? esc_attr( $values['item1name'][0] ) : '';
	$item1price = isset( $values['item1price'] ) ? esc_attr( $values['item1price'][0] ) : '';

	$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';
	$buttonstyle = isset( $values['buttonstyle'] ) ? esc_attr( $values['buttonstyle'][0] ) : '';
	$videourl = isset( $values['videourl'] ) ? esc_attr( $values['videourl'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';

	$bulleticon1 = isset( $values['bulleticon1'] ) ? esc_attr( $values['bulleticon1'][0] ) : '';
	$benefit1 = isset( $values['benefit1'] ) ? esc_attr( $values['benefit1'][0] ) : '';

	$bulleticon2 = isset( $values['bulleticon2'] ) ? esc_attr( $values['bulleticon2'][0] ) : '';
	$benefit2 = isset( $values['benefit2'] ) ? esc_attr( $values['benefit2'][0] ) : '';

	$bulleticon3 = isset( $values['bulleticon3'] ) ? esc_attr( $values['bulleticon3'][0] ) : '';
	$benefit3 = isset( $values['benefit3'] ) ? esc_attr( $values['benefit3'][0] ) : '';

	$bulleticon4 = isset( $values['bulleticon4'] ) ? esc_attr( $values['bulleticon4'][0] ) : '';
	$benefit4 = isset( $values['benefit4'] ) ? esc_attr( $values['benefit4'][0] ) : '';

	$bulleticon5 = isset( $values['bulleticon5'] ) ? esc_attr( $values['bulleticon5'][0] ) : '';
	$benefit5 = isset( $values['benefit5'] ) ? esc_attr( $values['benefit5'][0] ) : '';

	$buttontext = isset( $values['buttontext'] ) ? esc_attr( $values['buttontext'][0] ) : '';
	$autoresponder = isset( $values['autoresponder'] ) ? esc_attr( $values['autoresponder'][0] ) : '';
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<style type="text/css">
		.metaBox label {
			display: block;
			text-transform: uppercase;
			font-size: 11px;
			color: #4278a6;
			font-weight: bold;
			padding: 5px 0;
		}
		.metaBox input[type=text] {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox select {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox textarea {
			padding: 5px;
			font-size: 16px;
			width: 650px;
			height: 165px;
		}
	</style>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {

		  		$(".design").click(function() {
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".designTab").fadeIn(500); $(".design").addClass('active');
				});

				$(".dashboard").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $("m.ap").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".dashboardTab").fadeIn(500); $(".dashboard").addClass('active');
				});

				$(".slideshow").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".extra").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".slideshowTab").fadeIn(500); $(".slideshow").addClass('active');
				});

				$(".map").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".mapTab").fadeIn(500); $(".map").addClass('active');
				});

				$(".menu").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".menuTab").fadeIn(500); $(".menu").addClass('active');
				});

				$(".language").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".languageTab").fadeIn(500); $(".language").addClass('active');
				});

				$(".extra").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".extraTab").fadeIn(500); $(".extra").addClass('active');
				});

				$(".photos").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
				  $(".photosTab").fadeIn(500); $(".photos").addClass('active');
				});

								jQuery('.upload_button').click(function() {
									uploadID = jQuery(this).prev('input'); // grabs the correct field
									spanID = jQuery(this).parent().find('span'); // grabs the correct span
									formfield = jQuery('.frp_upload').attr('name');
									tb_show('', 'media-upload.php?type=image&TB_iframe=true');
									return false;
								});

								window.send_to_editor = function(html) {
									imgurl = jQuery(html).attr('href'); // grabs the image URL from the IMG tag
									jQuery('#uploadlogo').val(imgurl); // sends the image URL to the hidden input field
									spanID.html(html); //sends the IMG tag to the preview span
									tb_remove();
								}

			});
		</script>
		<style>
			@import url(http://fonts.googleapis.com/css?family=Poly);
			#siteOptions {
				width: 100%;
				overflow: hidden;
				font-family: 'Poly', serif;
				text-shadow: 0px 0px 1px transparent; 
				font-size: 21px;
			}
			
			#fb_nav {
				width: 20%;
				float: left;
				padding: 10px;
				margin-bottom: -1500px;
				padding-bottom: 1500px;
				padding-top: 0;
			}
				#fb_nav ul {
					margin-top: 0;
				}
				#fb_nav ul li a {
					padding: 10px 0;
					padding-left: 45px;
					display: block;
					margin-bottom: -6px;
					width:86%;
					font-size: 15px;
					color: #2f363e;
					margin-left: -10px;
					text-decoration: none;
				}
			#fb_tabs {
				width: 60%;
				float: left;
				padding: 14px 24px;
			}
			input[type=text] {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			textarea {
				display: block;
				width: 100%;
				height: 150px;
				font-size: 14px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			select {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			#siteOptions strong {
				padding: 0 0;
				margin-bottom: -10px;
				display: block;
				font-size: 16px;
			}
			#siteOptions p {
				font-size: 14px;
				line-height: 21px;
			}
			#siteOptions .dashboard {
				background: url(http://cdn3.iconfinder.com/data/icons/UltimateGnome/24x24/actions/go-home.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .dashboard.active, #siteOptions .dashboard:hover {
					background: url(http://cdn3.iconfinder.com/data/icons/UltimateGnome/24x24/actions/go-home.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .design {
				background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/apps/gnome-graphics.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .design.active, #siteOptions .design:hover {
					background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/apps/gnome-graphics.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .slideshow {
				background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/mimetypes/gnome-mime-video.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .slideshow.active, #siteOptions .slideshow:hover {
					background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/mimetypes/gnome-mime-video.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .map {
				background: url(http://cdn2.iconfinder.com/data/icons/gnomeicontheme/24x24/stock/text/stock_list_bullet.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .map.active, #siteOptions .map:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/gnomeicontheme/24x24/stock/text/stock_list_bullet.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .menu {
				background: url(http://cdn1.iconfinder.com/data/icons/professional-toolbar-icons-png/24/Login.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .menu.active, #siteOptions .menu:hover {
					background: url(http://cdn1.iconfinder.com/data/icons/professional-toolbar-icons-png/24/Login.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .language {
				background: url(http://cdn3.iconfinder.com/data/icons/flatforlinux/24/27-Edit%20Text.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .language.active, #siteOptions .language:hover {
					background: url(http://cdn3.iconfinder.com/data/icons/flatforlinux/24/27-Edit%20Text.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .extra {
				background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .extra.active, #siteOptions .extra:hover {
					background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .photos {
				background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/mimetypes/gnome-mime-video.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .photos.active, #siteOptions .photos:hover {
					background: url(http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/mimetypes/gnome-mime-video.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions hr {
				border: none;
				border-bottom: 1px solid #ddd;
				margin-bottom: 20px;
			}
		</style>

			<div id="siteOptions"> <a name="tops"></a>
				                <div id="fb_nav">
				                	<br>
<ul> <li><a href="#tops" class="active dashboard">Main Settings</a></li>
<li><a href="#tops" class="design">Design Options</a></li>                         <li><a
href="#tops" class="slideshow">Add Your Video</a></li>  
<li><a
href="#tops" class="extra">Auto-Responder</a></li>
<li><a
href="#tops" class="map">Benefit List</a></li>
                      </ul>
</div>                 <div id="fb_tabs">                     
<div
class="dashboardTab">      
		<p>
			<strong>Main Headline:</strong><br />
			<input type="text" name="mainheadline" id="mainheadline" value="<?php echo $mainheadline; ?>" />
		</p>                  
		<p>
			<strong>Sub Headline:</strong><br />
			<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
		</p>
		<p>
			<strong>Logo/Header Image URL:</strong><br />
			<input type="text" name="mainphoto" id="mainphoto" value="<?php echo $mainphoto; ?>" />
		</p>
		<p>
			<strong>Image Thumbnail URL:</strong><br />
			<input type="text" name="item1name" id="item1name" value="<?php echo $item1name; ?>" />
		</p>
		<p>
			<strong>Footer Text:</strong><br />
			<input type="text" name="footer" id="" value="<?php echo $footer; ?>" />
		</p>
		
</div>                     <div class="designTab" style="display: none">
						
						
						
						<strong>Headline Typography:</strong><br />
						<select name="typography" id="typography">
							<option value="type1" <?php if ($typography == 'type1') { ?> selected <?php } ?>>Default</option>
							<option value="type2" <?php if ($typography == 'type2') { ?> selected <?php } ?>>Cantora One</option>
							<option value="type3" <?php if ($typography == 'type3') { ?> selected <?php } ?>>Orienta</option>
							<option value="type4" <?php if ($typography == 'type4') { ?> selected <?php } ?>>Kite One</option>
							<option value="type5" <?php if ($typography == 'type5') { ?> selected <?php } ?>>Archivo Narrow</option>
							<option value="type6" <?php if ($typography == 'type6') { ?> selected <?php } ?>>Lora</option>
							<option value="type7" <?php if ($typography == 'type7') { ?> selected <?php } ?>>IM Fell English</option>
							<option value="type8" <?php if ($typography == 'type8') { ?> selected <?php } ?>>Old Standard TT</option>
							<option value="type9" <?php if ($typography == 'type9') { ?> selected <?php } ?>>Gloria Hallelujah</option>
						</select> <br>
						<strong>Transparent Background:</strong><br />
						<select name="background" id="background">
							<option value="1" <?php if ($background == '1') { ?> selected <?php } ?>>Stitched Black</option>
							<option value="2" <?php if ($background == '2') { ?> selected <?php } ?>>Hex Black</option>
							<option value="3" <?php if ($background == '3') { ?> selected <?php } ?>>Styled Lines Black</option>
							<option value="4" <?php if ($background == '4') { ?> selected <?php } ?>>Pin-Stripe Black</option>
							<option value="5" <?php if ($background == '5') { ?> selected <?php } ?>>Carbon Dots Black</option>
							<option value="6" <?php if ($background == '6') { ?> selected <?php } ?>>Stars Black</option>
							<option value="7" <?php if ($background == '7') { ?> selected <?php } ?>>Dark Wood</option>
						</select> <br>
						<strong>Button Color / Style:</strong><br />
						<select name="buttonstyle" id="buttonstyle">
							<option value="orange" <?php if ($buttonstyle == 'orange') { ?> selected <?php } ?>>Orange</option>
							<option value="black" <?php if ($buttonstyle == 'black') { ?> selected <?php } ?>>Black</option>
							<option value="blue" <?php if ($buttonstyle == 'blue') { ?> selected <?php } ?>>Blue</option>
							<option value="purple" <?php if ($buttonstyle == 'purple') { ?> selected <?php } ?>>Purple</option>
							<option value="pink" <?php if ($buttonstyle == 'pink') { ?> selected <?php } ?>>Pink</option>
							<option value="green" <?php if ($buttonstyle == 'green') { ?> selected <?php } ?>>Green</option>
							<option value="red" <?php if ($buttonstyle == 'red') { ?> selected <?php } ?>>Red</option>
							<option value="brown" <?php if ($buttonstyle == 'brown') { ?> selected <?php } ?>>Brown</option>
						</select>
					</div>
					<div class="extraTab" style="display: none">
						
						<br>
						<strong>Submit Button Text:</strong><br />
						<input type="text" name="buttontext" id="buttontext" value="<?php echo $buttontext; ?>" /><br>
						<strong>Your Autoresponder Form HTML Code:</strong><br />
						<textarea name="autoresponder" id="autoresponder"><?php echo $autoresponder; ?></textarea><br>
					</div>
					<div class="slideshowTab" style="display: none">
						
						
						<strong>Video URL (mp4, ogg, etc):</strong><br />
						<input type="text" name="videourl" id="videourl" value="<?php echo $videourl; ?>" />

						<p><strong>How to get mp4 from Youtube?</strong></p>
						<p>You need to download the .mp4 of the youtube file. <a href="http://www.youtubeinmp4.com/" target="_blank">Click here to use a service</a> to download the mp4 from any video on youtube.</p>
						<p>Once you have the file downloaded, you need to upload it to either your FTP or using upload service like DropBox. Use the direct URL to the mp4 from the FTP or upload service.</p>
						<p>You can also upload the mp4 file to the Media in wordpress. Then use the URL provided in the above input box.</p>
						<p><strong>How to get mp4 from Vimeo?</strong></p>
						<p>The same goes as above, except it is a different service. <a href="http://downloadvimeo.com/" target="_blank">Click here to use a vimeo service</a>.</p>
					</div>

					<div class="mapTab"  style="display: none">
						
						<strong>Benefit #1:</strong><br />
						<select name="bulleticon1" id="bulleticon1" style="float: right; width: 100px;">
							<option value="check" <?php if ($bulleticon1 == 'check') { ?> selected <?php } ?>>Check</option>
							<option value="x" <?php if ($bulleticon1 == 'x') { ?> selected <?php } ?>>X</option>
							<option value="bullet" <?php if ($bulleticon1 == 'bullet') { ?> selected <?php } ?>>Bullet</option>
							<option value="arrow" <?php if ($bulleticon1 == 'arrow') { ?> selected <?php } ?>>Arrow</option>
						</select>
						<input type="text" style="float: left; width: 500px;" name="benefit1" id="benefit1" value="<?php echo $benefit1; ?>" /><br clear="all"><br>
						
						<strong>Benefit #2:</strong><br />
						<select name="bulleticon2" id="bulleticon2" style="float: right; width: 100px;">
							<option value="check" <?php if ($bulleticon2 == 'check') { ?> selected <?php } ?>>Check</option>
							<option value="x" <?php if ($bulleticon2 == 'x') { ?> selected <?php } ?>>X</option>
							<option value="bullet" <?php if ($bulleticon2 == 'bullet') { ?> selected <?php } ?>>Bullet</option>
							<option value="arrow" <?php if ($bulleticon2 == 'arrow') { ?> selected <?php } ?>>Arrow</option>
						</select>
						<input type="text" style="float: left; width: 500px;" name="benefit2" id="benefit2" value="<?php echo $benefit2; ?>" /><br clear="all"><br>

						<strong>Benefit #3:</strong><br />
						<select name="bulleticon3" id="bulleticon3" style="float: right; width: 100px;">
							<option value="check" <?php if ($bulleticon3 == 'check') { ?> selected <?php } ?>>Check</option>
							<option value="x" <?php if ($bulleticon3 == 'x') { ?> selected <?php } ?>>X</option>
							<option value="bullet" <?php if ($bulleticon3 == 'bullet') { ?> selected <?php } ?>>Bullet</option>
							<option value="arrow" <?php if ($bulleticon3 == 'arrow') { ?> selected <?php } ?>>Arrow</option>
						</select>
						<input type="text" style="float: left; width: 500px;" name="benefit3" id="benefit3" value="<?php echo $benefit3; ?>" /><br clear="all"><br>

						<strong>Benefit #4:</strong><br />
						<select name="bulleticon4" id="bulleticon4" style="float: right; width: 100px;">
							<option value="check" <?php if ($bulleticon4 == 'check') { ?> selected <?php } ?>>Check</option>
							<option value="x" <?php if ($bulleticon4 == 'x') { ?> selected <?php } ?>>X</option>
							<option value="bullet" <?php if ($bulleticon4 == 'bullet') { ?> selected <?php } ?>>Bullet</option>
							<option value="arrow" <?php if ($bulleticon4 == 'arrow') { ?> selected <?php } ?>>Arrow</option>
						</select>
						<input type="text" style="float: left; width: 500px;" name="benefit4" id="benefit4" value="<?php echo $benefit4; ?>" /><br clear="all"><br>

						<strong>Benefit #5:</strong><br />
						<select name="bulleticon5" id="bulleticon5" style="float: right; width: 100px;">
							<option value="check" <?php if ($bulleticon5 == 'check') { ?> selected <?php } ?>>Check</option>
							<option value="x" <?php if ($bulleticon5 == 'x') { ?> selected <?php } ?>>X</option>
							<option value="bullet" <?php if ($bulleticon5 == 'bullet') { ?> selected <?php } ?>>Bullet</option>
							<option value="arrow" <?php if ($bulleticon5 == 'arrow') { ?> selected <?php } ?>>Arrow</option>
						</select>
						<input type="text" style="float: left; width: 500px;" name="benefit5" id="benefit5" value="<?php echo $benefit5; ?>" /><br clear="all"><br>
						<br>
					</div>

				</div>
				<br clear="all" />

				
			</div>
			









	
	
	<?php	
}


add_action( 'save_post', 'savewpoptinsettings' );
function savewpoptinsettings( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
	if( isset( $_POST['mainphoto'] ) )
		update_post_meta( $post_id, 'mainphoto', wp_kses( $_POST['mainphoto'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
		
	if( isset( $_POST['item1name'] ) )
		update_post_meta( $post_id, 'item1name', esc_attr( $_POST['item1name'] ) );
		
	if( isset( $_POST['item1price'] ) )
		update_post_meta( $post_id, 'item1price', esc_attr( $_POST['item1price'] ) );
		
	if( isset( $_POST['item1image'] ) )
		update_post_meta( $post_id, 'item1image', esc_attr( $_POST['item1image'] ) );

if( isset( $_POST['buttonstyle'] ) )
		update_post_meta( $post_id, 'buttonstyle', esc_attr( $_POST['buttonstyle'] ) );
		
	

	if( isset( $_POST['typography'] ) )
		update_post_meta( $post_id, 'typography', esc_attr( $_POST['typography'] ) );

if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', esc_attr( $_POST['mainheadline'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr( $_POST['footer'] ) );

	if( isset( $_POST['videourl'] ) )
		update_post_meta( $post_id, 'videourl', esc_attr( $_POST['videourl'] ) );

	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr( $_POST['background'] ) );

	if( isset( $_POST['bulleticon1'] ) )
		update_post_meta( $post_id, 'bulleticon1', esc_attr( $_POST['bulleticon1'] ) );

	if( isset( $_POST['benefit1'] ) )
		update_post_meta( $post_id, 'benefit1', esc_attr( $_POST['benefit1'] ) );

	if( isset( $_POST['bulleticon2'] ) )
		update_post_meta( $post_id, 'bulleticon2', esc_attr( $_POST['bulleticon2'] ) );

	if( isset( $_POST['benefit2'] ) )
		update_post_meta( $post_id, 'benefit2', esc_attr( $_POST['benefit2'] ) );

	if( isset( $_POST['bulleticon3'] ) )
		update_post_meta( $post_id, 'bulleticon3', esc_attr( $_POST['bulleticon3'] ) );

	if( isset( $_POST['benefit3'] ) )
		update_post_meta( $post_id, 'benefit3', esc_attr( $_POST['benefit3'] ) );

	if( isset( $_POST['bulleticon4'] ) )
		update_post_meta( $post_id, 'bulleticon4', esc_attr( $_POST['bulleticon4'] ) );

	if( isset( $_POST['benefit4'] ) )
		update_post_meta( $post_id, 'benefit4', esc_attr( $_POST['benefit4'] ) );

	if( isset( $_POST['bulleticon5'] ) )
		update_post_meta( $post_id, 'bulleticon5', esc_attr( $_POST['bulleticon5'] ) );

	if( isset( $_POST['benefit5'] ) )
		update_post_meta( $post_id, 'benefit5', esc_attr( $_POST['benefit5'] ) );

	if( isset( $_POST['autoresponder'] ) )
		update_post_meta( $post_id, 'autoresponder', esc_attr( $_POST['autoresponder'] ) );

	if( isset( $_POST['buttontext'] ) )
		update_post_meta( $post_id, 'buttontext', esc_attr( $_POST['buttontext'] ) );
	
}
?>